[arch-commits] Commit in libpciaccess/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Aug 5 17:11:55 EDT 2008


    Date: Tuesday, August 5, 2008 @ 17:11:54
  Author: jgc
Revision: 8035

upgpkg: libpciaccess 0.10.3-1

Added:
  libpciaccess/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-08-05 21:11:54 UTC (rev 8035)
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+pkgname=libpciaccess
+pkgver=0.10.3
+pkgrel=1
+pkgdesc="X11 PCI access library"
+arch=(i686 x86_64)
+license=('custom')
+url="http://xorg.freedesktop.org/"
+depends=('glibc')
+makedepends=('pkgconfig')
+options=('!libtool')
+source=(${url}/releases/individual/lib/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('6d5468debf76fac84576ca26c9535821')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+}




More information about the arch-commits mailing list